<?php
/*
<fusedoc fuse="fbx_Switch.php">
	<responsibilities>
		I am the switch statement that handles the fuseaction, delegating work to various fuses.
	</responsibilities>
	<io>
		<in>
			<string name="$Fusebox['fuseaction']" />
			<string name="$Fusebox['circuit']" />
		</in>
	</io>	
</fusedoc>
*/






switch($Fusebox["fuseaction"]) {
	case "main":
	case "Fusebox.defaultFuseaction":

		include ( "dsp_home.php" );
		break;
	
		
	case "snapfile":
		include ( "act_receive_snapshot.php" );
		include ( "act_extract_process.php" );
		break;
		
		
	case "rulefile":
		include ( "act_receive_rulefile.php" );
		break;
		
	case "proctext":
	case "reftext":
	case "classtext":
	case "rulestext":
		include ( "act_process_rawtext.php" );
		break;



	default:
		print "I received a fuseaction called <b>'" . $Fusebox["fuseaction"] . "'</b> that circuit <b>'" . $Fusebox["circuit"] . "'</b> does not have a handler for.";
		break;
}

?>