<?php
/*
<fusedoc fuse="fbx_Switch.php">
	<responsibilities>
		I am the switch statement that handles the fuseaction, delegating work to various fuses.
	</responsibilities>
	<io>
		<in>
			<string name="$Fusebox['fuseaction']" />
			<string name="$Fusebox['circuit']" />
		</in>
	</io>	
</fusedoc>
*/






switch($Fusebox["fuseaction"])
	{
	
	case "save":
		include ( "act_save_conf.php" );
		include ( "dsp_save_conf.php" );
	
	case "main":
	case "Fusebox.defaultFuseaction":
		include ( "dsp_header.php" );
		include ( "act_init_vars.php" );
		include ( "act_read_conf.php" );
		include ( "dsp_conf.php" );
		break;
	

	case "verify":
		include ( "act_verify_install.php" );
		break;
		
	case "test":
		include ( "dsp_header.php" );
		include ( "act_test.php" );
		break;

	default:
		print "I received a fuseaction called <b>'" . $Fusebox["fuseaction"] . "'</b> that circuit <b>'" . $Fusebox["circuit"] . "'</b> does not have a handler for.";
		break;
		
	}

?>