<?php
include_once("../lib/func_IsIP.php");
$urlcriteria = "";
$errors = "";

//print_r($_REQUEST);

/*** Add timestamps to where clause ***/
$sql_window = "";
if($_REQUEST['sd'] != "")
	{
	$temp_sd = $_REQUEST['sd'];
	$temp_st = ($_REQUEST['st'] == "" ? "00:00:00" : $_REQUEST['st'] );
	$sql_window .= " AND e.timestamp >= '" . $temp_sd . " " . $temp_st . "'";
	$urlcriteria .= "&sd=" . $temp_sd . "&st=" . $temp_st;
	}
if($_REQUEST['ed'] != "")
	{
	$temp_ed = $_REQUEST['ed'];
	$temp_et = ($_REQUEST['et'] == "" ? "23:59:59" : $_REQUEST['et'] );	
	$sql_window .= " AND e.timestamp <= '" . $temp_ed . " " . $temp_et . "'";
	$urlcriteria .= "&ed=" . $temp_ed . "&et=" . $temp_et;
	}







/*** String searches ***/
if($_REQUEST['FRM_string'] != "")
	{
	$criteria_string = true;
	
	$temp_string = $_REQUEST['FRM_string'];
	
	/* convert string to hex-string */	
	$len = strlen($temp_string);
	$temp_hexstring = "";
	for($i = 0; $i < $len; $i++)
		{
		$ascii = ord( substr($temp_string, $i, 1) );
		$temp_hexstring .= sprintf("%02X", $ascii);		
		}	
		
	$where_data = " AND d.data_payload Like '%".$temp_hexstring."%'";
	$where_sig = " AND s.sig_name Like '%".$temp_string."%'";
	
	$urlcriteria .= "&FRM_string=" . $temp_string;
	
	$sql = "SELECT e.sid, e.cid FROM data as d, event as e".
		" WHERE e.cid = d.cid AND e.sid = d.sid".
		$sql_window.
		$where_data;
	
	$rsSigs = $db_sa->query($sql); if (DB::isError($rsSigs)) { die ($rsSigs->getDebugInfo());}
	
	while($row = $rsSigs->fetchRow(DB_FETCHMODE_ASSOC))
		{
		$hash = $row['sid'] . "-" . $row['cid'];
		$resultset[$hash]['string'] = true;
		}
		
	$sql = "SELECT e.sid, e.cid FROM signature as s, event as e".
		" WHERE e.signature = s.sig_id".
		$sql_window.
		$where_sig;

	$rsSigs = $db_sa->query($sql); if (DB::isError($rsSigs)) { die ($rsSigs->getDebugInfo());}
	
	while($row = $rsSigs->fetchRow(DB_FETCHMODE_ASSOC))
		{
		$hash = $row['sid'] . "-" . $row['cid'];
		$resultset[$hash]['string'] = true;
		}
	
	}
	
	
	

/*** IP searches ***/
if($_REQUEST['FRM_ip'] != "")
	{
	$criteria_ip = true;
	
	$temp_ip = $_REQUEST['FRM_ip'];
	$urlcriteria .= "&FRM_ip=" . $temp_ip;

	if(IsCIDR($temp_ip))
		{
		list($temp_net, $temp_mask) = explode('/', $temp_ip);
		
		$temp_mask = 32 - $temp_mask;
		$temp_longip = ip2long($temp_net);
		$sql_search = sprintf(" AND ( (i.ip_src >> %d) = (%u >> %d) OR (i.ip_dst >> %d) = (%u >> %d) )",  $temp_mask, $temp_longip, $temp_mask, $temp_mask, $temp_longip, $temp_mask ); // Must use sprintf to handle unsigned long int.
		}
	elseif(IsIP($temp_ip))
		{
		$ip_long = ip2long($temp_ip);
		$sql_search = sprintf(" AND ( i.ip_src = %u OR i.ip_dst = %u )", $ip_long, $ip_long);
		}
	else
		{
		$errors .= "<BR>Invalid IP or CIDR notation\n";		
		}

	$sql = "SELECT e.sid, e.cid FROM iphdr as i, event as e".
		" WHERE e.cid = i.cid AND e.sid = i.sid".
		$sql_window.
		$sql_search;
		
	$rsSigs = $db_sa->query($sql); if (DB::isError($rsSigs)) { die ($rsSigs->getDebugInfo());}
	//$totalrows = $rsSigs->numRows();
	
	while($row = $rsSigs->fetchRow(DB_FETCHMODE_ASSOC))
		{
		$hash = $row['sid'] . "-" . $row['cid'];
		$resultset[$hash]['ip'] = true;
		}	
	}

	
/*** Port searches ***/
if($_REQUEST['FRM_port'] != "")
	{
	$criteria_port = true;
	
	$temp_port = $_REQUEST['FRM_port'];
	
	if(!(($temp_port >= 0) && ($temp_port <= 65535)))
		{
		$errors .= "<BR>Invalid port number or out of valid range(0-65535).\n";		
		}
		
	$where_tcp = " AND ( t.tcp_sport = $temp_port OR t.tcp_dport = $temp_port)";
	$where_udp = " AND ( u.udp_sport = $temp_port OR u.udp_dport = $temp_port)";

	$urlcriteria .= "&FRM_port=" . $temp_port;
	
	$sql_tcp = "SELECT e.sid, e.cid FROM tcphdr as t, event as e".
		" WHERE e.cid = t.cid AND e.sid = t.sid".
		$sql_window.
		$where_tcp;
		
	$sql_udp = "SELECT e.sid, e.cid FROM udphdr as u, event as e".
		" WHERE e.cid = u.cid AND e.sid = u.sid".
		$sql_window.
		$where_udp;
		
	$sql = "($sql_tcp) union ($sql_udp)";
	
	$rsSigs = $db_sa->query($sql); if (DB::isError($rsSigs)) { die ($rsSigs->getDebugInfo());}
	//$totalrows = $rsSigs->numRows();
	
	while($row = $rsSigs->fetchRow(DB_FETCHMODE_ASSOC))
		{
		$hash = $row['sid'] . "-" . $row['cid'];
		$resultset[$hash]['port'] = true;	
		}	
	}
	
	
/*** Combine search results hashes into linear array ***/
/*** Loop thru all hash results and grab only those that match all criterias ***/
$count = -1;
foreach( $resultset as $hash=>$item )
	{
	$qual = true;
	
	if( ($criteria_ip) && (!isset($item['ip'])) ) { $qual = false; }
	if( ($criteria_port) && (!isset($item['port'])) ) { $qual = false; }
	if( ($criteria_string) && (!isset($item['string'])) ) { $qual = false; }
	
	if($qual)	/* Add to final results array */
		{
		//print "<BR>hash = $hash\n";
		$count++;
		$results[$count] = $hash;		
		} 
	}
$totalrows = count($results);
	
	



	
	
	
	
	

	
	
	
	
	






function Pagenate($urlcriteria)
	{
	global $startrow, $endrow, $totalrows, $startpage, $endpage, $GBL, $curpage;
	?>
	<CENTER>
	<table border="0">
	<tr class="label" align="center">
	<td width="200"><B>Search Results</B></td><td>&nbsp;&nbsp;&nbsp;</td><td><B>Page</B></td>
	</tr>
	<tr align="center">
	<td><B>Events: <?=($startrow+1)?> - <?=($endrow+1)?> of <?=$totalrows?></B></td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
	<?
	for($i=$startpage;$i < $endpage; $i++)
		{
		$sr = $i * $GBL['maxrows'];
		
		if ($i == $curpage)
			{
			?>
			<B><?=($i+1)?>&nbsp;</B>	
			<?
			}
		else
			{
			?>
			<a href="index.php?fuseaction=events.search&sr=<?=$sr?><?=$urlcriteria?>"><?=($i+1)?></a>&nbsp;	
			<?	
			}
		}
	?>
	</td>
	</tr>
	</table>
	</CENTER>
	<?
	}

	
	
if($errors != "")
	{
	?>
	<BR>
	<CENTER style="color:Red;">
	<h3>- ERROR -</h3>
	<B><?=$errors?></B>
	</CENTER>
	<?
	}
elseif($totalrows <= 0)
	{
	?>
	<BR>
	<CENTER>
	<h3>- No Matching Events Found -</h3>
	</CENTER>
	<?	
	}
else
	{
	/*** Get Start and End rows ***/
	$startrow = $_REQUEST['sr'];
	if ($startrow <= 0)
		{ $startrow = 0; }
	$endrow = $startrow + $GBL['maxrows'] - 1;
	if ($endrow > $totalrows)
		{ $endrow = $totalrows-1; }	
	
	/*** Get pages ***/
	$totalpages = round($totalrows / $GBL['maxrows'] + .5);
	$curpage = $startrow / $GBL['maxrows'];
	
	$startpage = $curpage - round($GBL['maxpages']/2);
	if ($startpage <= 0)
		{ $startpage = 0; }
	
	$endpage = $curpage + round($GBL['maxpages']/2);
	if ($endpage >= $totalpages)
		{ $endpage = $totalpages; }
	
	

		
	?>
	<script language="JavaScript" type="text/javascript">
	<!-- 
	function CheckAllINBOX()
		{
		for (var i = 0; i < document.CheckForm.elements.length; i++)
			{
			if(document.CheckForm.elements[i].type == 'checkbox')
				{
				document.CheckForm.elements[i].checked = !(document.CheckForm.elements[i].checked);
				}
			}
		}
	//-->
	</script>
	<form name="CheckForm" action="index.php" method="POST">
	<input type="hidden" name="fuseaction" value="events.action">
	<?
	Pagenate($urlcriteria);
	?>
	<CENTER>
	<table border="0" class="bg1"  cellpadding="0">
	<tr>
	<td  class="bg7" colspan="2">
	
	
	
	
	
	<table border="0" cellspacing="0" cellpadding="2" width="100%">
	<tr class="bg3">
	<TH>&nbsp;</TH>
	<TH>Date/Time</TH>
	<TH>Event Name</TH>
	<TH>Src IP</TH>
	<TH>Src Port</TH>
	<TH>Dest IP</TH>
	<TH>Dest Port</TH>
	</tr>
	<?
		
		
		
		
		
		
	$sig = array();
	/* Query and show each event found  */
	for($i = $startrow; $i <= $endrow; $i++)
		{
		list($sid,$cid) = explode("-",$results[$i]);
		
	
		$sql = "SELECT e.timestamp, e.viewed, s.sig_name, i.ip_src, i.ip_dst, i.ip_proto".
		" FROM event as e, signature as s, iphdr as i".
		" WHERE (e.sid = i.sid AND e.cid = i.cid)".
		" AND (e.signature = s.sig_id)".
		" AND (e.sid = $sid AND e.cid = $cid)";
		
		//print"<BR> $sql\n";
	
		$rs_event = $db_sa->query($sql); if (DB::isError($rs_event)) { die ($rs_event->getDebugInfo());}
		$row = $rs_event->fetchRow(DB_FETCHMODE_ASSOC);	
	
		$sig['name'] = $row['sig_name'];
		$sig['viewed'] = $row['viewed'];
		$sig['timestamp'] = $row['timestamp'];
		$sig['ip_proto'] = $row['ip_proto'];
		$sig['ip_src'] = long2ip($row['ip_src']);
		$sig['ip_dst'] = long2ip($row['ip_dst']);
		
		if(  $row['ip_proto'] == 6 )
			{
			/* Get TCP Header */
			$sql = "select * FROM tcphdr WHERE cid = " . $cid . " AND sid = " . $sid;
			$rs_tcphdr = $db_sa->query($sql); if (DB::isError($rs_tcphdr)) { die ($rs_tcphdr->getDebugInfo());}
			$tcphdr = $rs_tcphdr->fetchRow(DB_FETCHMODE_ASSOC);
			$sig['port_dst'] = $tcphdr['tcp_dport'];
			$sig['port_src'] = $tcphdr['tcp_sport'];
			$rs_tcphdr->free();		
	
			}
		elseif(  $row['ip_proto'] == 17 )
			{
			/* Get UDP Header */
			$sql = "select * FROM udphdr WHERE cid = " . $cid . " AND sid = " . $sid;
			$rs_udphdr = $db_sa->query($sql); if (DB::isError($rs_udphdr)) { die ($rs_udphdr->getDebugInfo());}
			$udphdr = $rs_udphdr->fetchRow(DB_FETCHMODE_ASSOC);
			$sig['port_dst'] = $udphdr['udp_dport'];
			$sig['port_src'] = $udphdr['udp_sport'];
			$rs_udphdr->free();
			}
			
	
		$viewed = ( $sig['viewed'] == 1 ? "" : "bold"   );
		$class = ( $class == "bg4" ? "bg7"  :  "bg4" );
		?>
		<tr class="<?=$class?>">
		<td><input type="checkbox" name="FRM_event[]" value="<?=$results[$i]?>"></td>
		<td nowrap><?=$row['timestamp']?></td>
		<td nowrap class="<?=$viewed?>"><a href="index.php?fuseaction=events.sigzoom&cid=<?=$cid?>&sid=<?=$sid?>"><?=$sig['name']?></a></td>
		<td><?=$sig['ip_src']?>&nbsp;</td>
		<td align="center"><?=$sig['port_src']?>&nbsp;</td>
		<td><?=$sig['ip_dst']?>&nbsp;</td>
		<td align="center"><?=$sig['port_dst']?>&nbsp;</td>
		</tr>
		
		<?
		}
	?>
	
	
	
	
	<tr  class="bg2">
	<td colspan="7">
	<img src="images/arrow_1.png" border="0" width="24" height="20">
	<SELECT name="action" onchange="this.form.submit();">
	<OPTION value="">-- action --</OPTION>
	<OPTION value="unread">Unread</OPTION>
	<OPTION value="read">Read</OPTION>
	<OPTION value=""></OPTION>
	<OPTION value="purge">Purge</OPTION>
	</SELECT>
	<a href="javascript:void(0)" onClick="CheckAllINBOX();">[Toggle All]</a>&nbsp;
	
	</td>
	</tr>
	
	</TABLE>
	
	
	
	
	</td>
	</tr>
	</table>
	</CENTER>

	<?
	Pagenate($urlcriteria);
	?>
	</form>
	<?


	
	}
?>

